Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# GIOP.pidl File Reference

`import "IOP_IOR.pidl";`

Include dependency graph for GIOP.pidl:

## Namespaces
namespace | GIOP
## Classes
struct | GIOP::Version
struct | GIOP::IORAddressingInfo
union | GIOP::TargetAddress
## Typedefs
typedef short | AddressingDisposition
## Variables
const short | KeyAddr = 0
const short | ProfileAddr = 1
const short | ReferenceAddr = 2

## Typedef Documentation

typedef CORBA::Short GIOP::AddressingDisposition

## Variable Documentation

const CORBA::Short GIOP::KeyAddr = 0

const CORBA::Short GIOP::ProfileAddr = 1

const CORBA::Short GIOP::ReferenceAddr = 2